Package org.eclipse.emf.cdo.ui

# Class CDOTopicProvider.Topic.TopicChangedEvent

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.emf.cdo.ui.CDOTopicProvider.Topic.TopicChangedEvent

All Implemented Interfaces:
  `Serializable`, `org.eclipse.net4j.util.event.IEvent`

Enclosing class:
  CDOTopicProvider.Topic

public static final class CDOTopicProvider.Topic.TopicChangedEvent extends org.eclipse.net4j.util.event.Event
An `event` fired from a `topic` when the `image`, the `text` (label), or the `description` attribute of the topic were changed.

Since:
  4.14
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Method Summary

Modifier and Type
Method
Description
`String`
`getNewDescription()`
`Image`
`getNewImage()`
`String`
`getNewText()`
`String`
`getOldDescription()`
`Image`
`getOldImage()`
`String`
`getOldText()`
`CDOTopicProvider.Topic`
`getSource()`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatAdditionalParameters, formatEventName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getSource

public CDOTopicProvider.Topic getSource()

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
Overrides:
  `getSource` in class `org.eclipse.net4j.util.event.Event`

### getOldImage

public Image getOldImage()

### getNewImage

public Image getNewImage()

### getOldText

public String getOldText()

### getNewText

public String getNewText()

### getOldDescription

public String getOldDescription()

### getNewDescription

public String getNewDescription()